Bug 251378 - CUPS Stopped printing lately
CUPS Stopped printing lately
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-08 13:32 EDT by Arthur Baldwin
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:23:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arthur Baldwin 2007-08-08 13:32:37 EDT
Description of problem:

Even though my Epson Stylus Photo 870 prints fine in Windows XP Pro, it will 
not print at all in Fedora 7 with all the latest updates.  It did print with a 
previous kernel.  But now, when using http://localhost:631 to manage the 
printer, every time I try to "Restart the Printer" and then "Reprint the Job", 
the status of the printer changes back to "Stopped" automatically.  This is the 
same for OpenOffice-Writer, GIMP, and other programs.  This makes me think it 
is a matter related to new security "features" that were recently added.

Version-Release number of selected component (if applicable):

I'm in the habit of applying all "Updates" as soon as they arrive.  So the 
kernel would be: 2.6.22.1-41.fc7.i686

How reproducible:  

I have not tried "re-installing" the OS and don't plan to.  I've thought about 
using the install CD to do a "Repair" operation.  I've tried rebooting the 
system many times to see if anything changes and have logged in as two 
different users, but with no better printing.  I have verified that the printer 
is working well in Windows XP Pro, several times.  The same symptoms are 
there...no printing of anything in Fedora.

Steps to Reproduce:
1.  Start any app
2.  Open any file
3.  Try to print the file
  
Actual results:

Print jobs are shown in the GUI monitor, but are always stopped.

Expected results:

A printed document
Additional info:
Comment 1 Tim Waugh 2007-08-09 06:10:41 EDT
How is the printer connected?  Is it a parallel port connection?
Comment 2 Arthur Baldwin 2007-08-10 13:55:36 EDT
Yes, it is connected to the parallel port.

Arthur Baldwin
Comment 3 Tim Waugh 2007-08-10 19:17:14 EDT
Fetch the udev update and reboot.  If it still isn't working, what does 'rpm -q
udev' say?
Comment 4 Arthur Baldwin 2007-08-10 23:18:14 EDT
Um perhaps you did not read some of what I wrote.  I'm using Fedora 7 and all
updates have been applied.  I remember seeing a udev update two days ago...so
yes it's updated, and no it doesn't work yet.  Could I have "been hacked" and
somebody made changes to my security settings just to annoy me?

Comment 5 Tim Waugh 2007-08-11 15:11:25 EDT
Nevertheless, please show me the output of 'rpm -q udev' so that I can rule that
out.
Comment 6 Arthur Baldwin 2007-08-13 09:42:31 EDT
Tim,

The output of rpm -q udev is as follows:

udev-113-9.fc7

I also found out that other clients of mine who are using FC6 are experiencing
the same problem, even though they are using USB printers.  So I'm quite certain
that this is a security feature related issue.

Arthur Baldwin
Comment 7 Tim Waugh 2007-08-13 10:03:49 EDT
What does 'lpstat -t' say?
Comment 8 Arthur Baldwin 2007-08-15 11:06:33 EDT
Dear Tim,

Here's the lpstat 't output:

[arthur@in ~]$ lpstat -t
scheduler is running
system default destination: Gutenprint_Parallel_Port_1
device for Gutenprint_Parallel_Port_1: epson:/dev/lp0
Gutenprint_Parallel_Port_1 accepting requests since Tue 07 Aug 2007 09:23:55 PM PDT
printer Gutenprint_Parallel_Port_1 disabled since Tue 07 Aug 2007 09:23:55 PM PDT -
        /usr/lib/cups/backend/epson failed
Gutenprint_Parallel_Port_1-188 guest            19456   Tue 07 Aug 2007 09:23:43
PM PDT
Gutenprint_Parallel_Port_1-189 rachel         1291264   Wed 08 Aug 2007 09:54:00
AM PDT
Gutenprint_Parallel_Port_1-190 rachel         1001472   Sat 11 Aug 2007 07:58:32
AM PDT
Gutenprint_Parallel_Port_1-191 rachel          103424   Tue 14 Aug 2007 05:33:27
PM PDT
[arthur@in ~]$ 

My guess after reading this is that something in the "CUPS backend config file"
has somehow been mistakenly modified either by a CUPS developer, or by an
outside hacker.

Arthur
Comment 9 Tim Waugh 2007-08-15 11:11:39 EDT
The 'epson' CUPS backend (from gutenprint) has failed for some reason.  Please
enable debug logging by selecting System->Administration->Printing from the
Fedora menu, clicking on 'Server Settings', toggling the debug logging check-box
and clicking Apply.

Now please do the following, as root in a terminal window:
1. Stop CUPS:
  /sbin/service cups stop
2. Clear out the error_log file:
  >/var/log/cups/error_log
3. Start CUPS again:
  /sbin/service cups start

Now submit a print job as before, and when it has failed please attach the
/var/log/cups/error_log file here.  Thanks.
Comment 10 Arthur Baldwin 2007-08-16 10:46:14 EDT
Dear Tim,

I followed your clear directions exactly and I'm attaching the contents of the
file /var/log/cups/error_log below:


I [16/Aug/2007:07:39:42 -0700] Listening to :::631 (IPv6)
I [16/Aug/2007:07:39:42 -0700] Listening to 0.0.0.0:631 (IPv4)
I [16/Aug/2007:07:39:42 -0700] Listening to /var/run/cups/cups.sock (Domain)
I [16/Aug/2007:07:39:42 -0700] Loaded configuration file "/etc/cups/cupsd.conf"
I [16/Aug/2007:07:39:42 -0700] Using default TempDir of /var/spool/cups/tmp...
I [16/Aug/2007:07:39:42 -0700] Cleaning out old temporary files in
"/var/spool/cups/tmp"...
I [16/Aug/2007:07:39:42 -0700] Configured for up to 100 clients.
I [16/Aug/2007:07:39:42 -0700] Allowing up to 100 client connections per host.
I [16/Aug/2007:07:39:42 -0700] Using policy "default" as the default!
I [16/Aug/2007:07:39:42 -0700] Full reload is required.
I [16/Aug/2007:07:39:42 -0700] Loaded MIME database from '/etc/cups': 34 types,
38 filters...
D [16/Aug/2007:07:39:42 -0700] Loading printer Gutenprint_Parallel_Port_1...
I [16/Aug/2007:07:39:43 -0700] Loading job cache file "/var/cache/cups/job.cache"...
D [16/Aug/2007:07:39:43 -0700] Loading job 183 from cache...
D [16/Aug/2007:07:39:43 -0700] Loading job 184 from cache...
D [16/Aug/2007:07:39:43 -0700] Loading job 185 from cache...
D [16/Aug/2007:07:39:43 -0700] Loading job 186 from cache...
D [16/Aug/2007:07:39:43 -0700] Loading job 187 from cache...
D [16/Aug/2007:07:39:43 -0700] Loading job 188 from cache...
D [16/Aug/2007:07:39:43 -0700] Loading attributes for job 188...
D [16/Aug/2007:07:39:43 -0700] Loading job 189 from cache...
D [16/Aug/2007:07:39:43 -0700] Loading attributes for job 189...
D [16/Aug/2007:07:39:43 -0700] Loading job 190 from cache...
D [16/Aug/2007:07:39:43 -0700] Loading attributes for job 190...
D [16/Aug/2007:07:39:43 -0700] Loading job 191 from cache...
D [16/Aug/2007:07:39:43 -0700] Loading attributes for job 191...
I [16/Aug/2007:07:39:43 -0700] Full reload complete.
I [16/Aug/2007:07:39:43 -0700] Listening to :::631 on fd 3...
I [16/Aug/2007:07:39:43 -0700] Listening to 0.0.0.0:631 on fd 4...
I [16/Aug/2007:07:39:43 -0700] Listening to /var/run/cups/cups.sock on fd 5...
D [16/Aug/2007:07:39:44 -0700] cupsdNetIFUpdate: "lo" = localhost...
D [16/Aug/2007:07:39:44 -0700] cupsdNetIFUpdate: "eth0" = in.3.uia.net...
D [16/Aug/2007:07:39:44 -0700] cupsdNetIFUpdate: "lo" = localhost...
D [16/Aug/2007:07:39:44 -0700] cupsdNetIFUpdate: "eth0" =
fe80::201:6cff:fed5:3b08%eth0...
D [16/Aug/2007:07:40:46 -0700] Unloading job 188...
D [16/Aug/2007:07:40:46 -0700] cupsdNetIFUpdate: "lo" = localhost...
D [16/Aug/2007:07:40:46 -0700] cupsdNetIFUpdate: "eth0" = in.3.uia.net...
D [16/Aug/2007:07:40:46 -0700] cupsdNetIFUpdate: "lo" = localhost...
D [16/Aug/2007:07:40:46 -0700] cupsdNetIFUpdate: "eth0" =
fe80::201:6cff:fed5:3b08%eth0...
D [16/Aug/2007:07:40:46 -0700] cupsdAcceptClient: skipping getpeercon()
D [16/Aug/2007:07:40:46 -0700] cupsdAcceptClient: 9 from localhost (Domain)
D [16/Aug/2007:07:40:46 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:46 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:46 -0700] CUPS-Get-Printers
D [16/Aug/2007:07:40:46 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:46 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:46 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:46 -0700] CUPS-Get-Classes
D [16/Aug/2007:07:40:46 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:46 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:46 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:46 -0700] CUPS-Get-Default
D [16/Aug/2007:07:40:46 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:46 -0700] cupsdCloseClient: 9
D [16/Aug/2007:07:40:46 -0700] cupsdAcceptClient: skipping getpeercon()
D [16/Aug/2007:07:40:46 -0700] cupsdAcceptClient: 9 from localhost (Domain)
D [16/Aug/2007:07:40:46 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:46 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:46 -0700] CUPS-Get-Printers
D [16/Aug/2007:07:40:46 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:46 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:46 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:46 -0700] CUPS-Get-Classes
D [16/Aug/2007:07:40:46 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:46 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:46 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:46 -0700] CUPS-Get-Default
D [16/Aug/2007:07:40:46 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:46 -0700] cupsdCloseClient: 9
D [16/Aug/2007:07:40:46 -0700] cupsdAcceptClient: skipping getpeercon()
D [16/Aug/2007:07:40:46 -0700] cupsdAcceptClient: 9 from localhost (Domain)
D [16/Aug/2007:07:40:46 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:46 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:46 -0700] CUPS-Get-Printers
D [16/Aug/2007:07:40:46 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:46 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:46 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:46 -0700] CUPS-Get-Classes
D [16/Aug/2007:07:40:46 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:46 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:46 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:46 -0700] CUPS-Get-Default
D [16/Aug/2007:07:40:46 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:46 -0700] cupsdCloseClient: 9
D [16/Aug/2007:07:40:46 -0700] cupsdAcceptClient: skipping getpeercon()
D [16/Aug/2007:07:40:46 -0700] cupsdAcceptClient: 9 from localhost (Domain)
D [16/Aug/2007:07:40:46 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:46 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:46 -0700] CUPS-Get-Printers
D [16/Aug/2007:07:40:46 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:46 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:46 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:46 -0700] CUPS-Get-Classes
D [16/Aug/2007:07:40:46 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:46 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:46 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:46 -0700] CUPS-Get-Default
D [16/Aug/2007:07:40:46 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:46 -0700] cupsdCloseClient: 9
D [16/Aug/2007:07:40:47 -0700] cupsdAcceptClient: skipping getpeercon()
D [16/Aug/2007:07:40:47 -0700] cupsdAcceptClient: 9 from localhost (Domain)
D [16/Aug/2007:07:40:47 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:47 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:47 -0700] CUPS-Get-Printers
D [16/Aug/2007:07:40:47 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:47 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:47 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:47 -0700] CUPS-Get-Classes
D [16/Aug/2007:07:40:47 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:47 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:47 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:47 -0700] CUPS-Get-Default
D [16/Aug/2007:07:40:47 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:47 -0700] cupsdCloseClient: 9
D [16/Aug/2007:07:40:47 -0700] cupsdAcceptClient: skipping getpeercon()
D [16/Aug/2007:07:40:47 -0700] cupsdAcceptClient: 9 from localhost (Domain)
D [16/Aug/2007:07:40:47 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:47 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:47 -0700] CUPS-Get-Printers
D [16/Aug/2007:07:40:47 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:47 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:47 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:47 -0700] CUPS-Get-Classes
D [16/Aug/2007:07:40:47 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:47 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:47 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:47 -0700] CUPS-Get-Default
D [16/Aug/2007:07:40:47 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:47 -0700] cupsdCloseClient: 9
D [16/Aug/2007:07:40:52 -0700] cupsdAcceptClient: skipping getpeercon()
D [16/Aug/2007:07:40:52 -0700] cupsdAcceptClient: 9 from localhost (Domain)
D [16/Aug/2007:07:40:52 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:52 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:52 -0700] CUPS-Get-Printers
D [16/Aug/2007:07:40:52 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:52 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:52 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:52 -0700] CUPS-Get-Classes
D [16/Aug/2007:07:40:52 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:52 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:52 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:52 -0700] CUPS-Get-Default
D [16/Aug/2007:07:40:52 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:52 -0700] cupsdCloseClient: 9
D [16/Aug/2007:07:40:54 -0700] cupsdAcceptClient: skipping getpeercon()
D [16/Aug/2007:07:40:54 -0700] cupsdAcceptClient: 9 from localhost (Domain)
D [16/Aug/2007:07:40:54 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:54 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:54 -0700] CUPS-Get-Printers
D [16/Aug/2007:07:40:54 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:54 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:54 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:54 -0700] CUPS-Get-Classes
D [16/Aug/2007:07:40:54 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:54 -0700] cupsdReadClient: 9 POST / HTTP/1.1
D [16/Aug/2007:07:40:54 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:54 -0700] CUPS-Get-Default
D [16/Aug/2007:07:40:54 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:54 -0700] cupsdCloseClient: 9
D [16/Aug/2007:07:40:54 -0700] cupsdAcceptClient: skipping getpeercon()
D [16/Aug/2007:07:40:54 -0700] cupsdAcceptClient: 9 from localhost (Domain)
D [16/Aug/2007:07:40:54 -0700] cupsdReadClient: 9 POST
/printers/Gutenprint_Parallel_Port_1 HTTP/1.1
D [16/Aug/2007:07:40:54 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:54 -0700] Print-Job
ipp://localhost/printers/Gutenprint_Parallel_Port_1
D [16/Aug/2007:07:40:54 -0700] print_job: auto-typing file...
D [16/Aug/2007:07:40:54 -0700] print_job: request file type is
application/postscript.
D [16/Aug/2007:07:40:54 -0700] add_job: setting context of job to UNKNOWN SL
D [16/Aug/2007:07:40:54 -0700] add_job: requesting-user-name="arthur"
I [16/Aug/2007:07:40:54 -0700] Adding start banner page "none" to job 192.
D [16/Aug/2007:07:40:54 -0700] Discarding unused job-created event...
I [16/Aug/2007:07:40:54 -0700] Adding end banner page "none" to job 192.
I [16/Aug/2007:07:40:54 -0700] Job 192 queued on "Gutenprint_Parallel_Port_1" by
"arthur".
D [16/Aug/2007:07:40:54 -0700] Job 192 hold_until = 0
D [16/Aug/2007:07:40:54 -0700] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:54 -0700] cupsdAcceptClient: skipping getpeercon()
D [16/Aug/2007:07:40:54 -0700] cupsdAcceptClient: 12 from localhost (Domain)
D [16/Aug/2007:07:40:54 -0700] cupsdReadClient: 12 POST / HTTP/1.1
D [16/Aug/2007:07:40:54 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:54 -0700] Get-Jobs ipp://localhost/jobs/
D [16/Aug/2007:07:40:54 -0700] Loading attributes for job 188...
D [16/Aug/2007:07:40:54 -0700] cupsdProcessIPPRequest: 12 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:54 -0700] cupsdCloseClient: 12
D [16/Aug/2007:07:40:54 -0700] cupsdAcceptClient: skipping getpeercon()
D [16/Aug/2007:07:40:54 -0700] cupsdAcceptClient: 12 from localhost (Domain)
D [16/Aug/2007:07:40:54 -0700] cupsdReadClient: 12 POST / HTTP/1.1
D [16/Aug/2007:07:40:54 -0700] cupsdAuthorize: No authentication data provided.
D [16/Aug/2007:07:40:54 -0700] Get-Jobs ipp://localhost/jobs/
D [16/Aug/2007:07:40:54 -0700] cupsdProcessIPPRequest: 12 status_code=0
(successful-ok)
D [16/Aug/2007:07:40:54 -0700] cupsdCloseClient: 12
D [16/Aug/2007:07:41:48 -0700] cupsdNetIFUpdate: "lo" = localhost...
D [16/Aug/2007:07:41:48 -0700] cupsdNetIFUpdate: "eth0" = in.3.uia.net...
D [16/Aug/2007:07:41:48 -0700] cupsdNetIFUpdate: "lo" = localhost...
D [16/Aug/2007:07:41:48 -0700] cupsdNetIFUpdate: "eth0" =
fe80::201:6cff:fed5:3b08%eth0...
D [16/Aug/2007:07:42:00 -0700] Unloading job 188...

Comment 11 Tim Waugh 2007-08-16 12:02:20 EDT
Thanks.  Looks like I forgot an important step though. :-(

Try this:

1. Stop cups:

/sbin/service cups stop

2. Clear out the error_log again:

>/var/log/cups/error_log

3. Start cups:

/sbin/service cups start

4. Enable the queue:

/usr/sbin/cupsenable Gutenprint_Parallel_Port_1

5. Wait for the job to fail, and attach /var/log/cups/error_log again.

Sorry!
Comment 12 Garrett Mitchener 2007-12-20 12:30:21 EST
May I make a suggestion: Recently I've started having trouble printing to an HP
deskjet, and it's definitely an SELinux problem.  I posted it under evince as
bug #426016, but I think it's really a cups issue.  Try installing
setroubleshoot and setroubleshoot-server and see if you get an error while printing.
Comment 13 Brian Powell 2008-04-25 00:23:54 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.